<?php

// criados no plugin Custom Post Type 
// Usar o Exportar e depois o Importar em novos Site
// tipo de post: produto_servico;
// taxonomy = 'cidades';
//$cadastro1 = 'cidades';   testar variavel global
// taxnomy = 'segmentos';

if(session_status() !== PHP_SESSION_ACTIVE){
    session_start();
}

add_action( 'admin_print_footer_scripts', 'wpa104168_js_solution' );
// adiciona Selecionar Todas Cidades no painel
// trocar ul#cidadeschecklist por ul#id  (inspecionar para pegar o id da listagem)
// trocar ul#segmentoschecklist por ul#id  (inspecionar para pegar o id da listagem)
function wpa104168_js_solution(){ ?>
<script type="text/javascript">
jQuery(document).ready(function($) {
    $('ul#cidadeschecklist').append('<li><label class="selectit"><input type="checkbox" class="toggle-all-terms"/> Selecionar Todas</label>');
    $('.toggle-all-terms').on('change', function(){
        $(this).closest('ul').find(':checkbox').prop('checked', this.checked );
    });
	
	function permitir_upload_glb($mimes) {
    $mimes['glb'] = 'model/gltf-binary';
    return $mimes;
}
add_filter('upload_mimes', 'permitir_upload_glb');


    $('ul#segmentoschecklist').append('<li><label class="selectit"><input type="checkbox" class="toggle-all-terms"/> Selecionar Todas</label>');
    $('.toggle-all-terms').on('change', function(){
        $(this).closest('ul').find(':checkbox').prop('checked', this.checked );
    });

});
</script>
<?php }



// testes
/*  echo de arrays
$myarrays = get_taxonomies();
foreach($myarrays as $myarray){
    echo $myarray . "\n";
}
print_r(cptui_get_taxonomy_slugs())  . "<br>";
*/

//add_theme_support( 'title-tag' );
// $url = get_permalink(); // pega a url
// $id = get_the_id(); // id do post 
// get_the_terms( $post_id, category );
// get_the_title( get_the_id()) // pega o titulo
// single_cat_title(); // pega o titulo


    // $_SESSION['cidade_atual'] = '';
    //$categoria = get_the_title();
   // echo $_SESSION['cidade_atual'];
    //$categoria = single_cat_title();
        //$categoria = get_category_link();
        // Get the post categories.
        //$categoria = get_the_terms( $post_id, category );

        // add_categories_to_the_title
        //$categoria1 = get_cat_name();
        //$categoria = get_the_category();
         //$categoria = the_category();

        //$id = get_the_id(); // id do post       

        //$categoria = $_SESSION['cidade_atual'];         

        //$title .= ' em ' . $categoria; 


function add_categories_to_the_title( $title, $id ) {

    //$cats_nome = single_cat_title();
    //echo 'deucerto! nomeda da categoria: ' . $cats_nome;        
        

        if ( is_category() && 'post' == get_post_type( $id ) ) { // se clicou em categoria, cria asessão de categoria, insere no titulo da listagem
            $_SESSION['categoria'] = single_cat_title('', false);            
            if ( ! empty($_SESSION['categoria']) ) {
            $title .= ' em Categoria: ' . $_SESSION['categoria'] ;
            }

            /*  pegar id da categoria
            $categories = get_the_category();
            $cats_string = '';
            if ( ! empty($categories) ) {
            foreach ( $categories as $term ) {
                $cats_string .= $term->name . ' ';
                $categoria_id = get_queried_object_id('$cats_string');
            }
            }
            if ( $cats_string ) {

            //global $category;
            //$categoria_id = get_queried_object_id();
            //$title .= ' em ' . $cats_string . ' / ID: '. $categoria_id;
            echo  'Categoria: ' . $cats_string . ' / ID: '. $categoria_id;
            }
            */
        }

        if ( ( is_tax() && 'produto_servico' == get_post_type( $id )) OR ( is_tax() && 'product' == get_post_type( $id )) ){ // se clicou em taxnomy de custom post, cria a sessão com título     

            // $_SESSION['categoria'] = single_cat_title( '', false );          
            //$_SESSION['cidade'] = single_term_title( '', false );
            //$_SESSION['segmento'] = single_term_title( '', false );
            
            
            //$terms = get_the_terms( get_the_id(), 'segmentos' );
            //if ( !empty( $terms ) ){
                //print_r( $terms );
            //}

            $titulo = single_term_title( '', false );
            

            $todos_cidades = get_the_term_list( get_the_id(), 'cidades' );
                if ( ! empty($todos_cidades) ) {
                    //echo str_word_count($todos_segmentos); 
                    //echo var_dump($todos_segmentos);
                    //print_r (explode(" ",$todos_segmentos));
                    //echo $todos_cidades;
                    //echo is_array($todos_cidades) ? 'Yes Array' : 'not an Array';
                    if (strpos($todos_cidades, $titulo) !== false) {
                        //echo $titulo;

                        $_SESSION['cidade'] = $titulo;                        

                    }                
                }

             $todos_segmentos = get_the_term_list( get_the_id(), 'segmentos' );
                if ( ! empty($todos_segmentos) ) {
                    if (strpos($todos_segmentos, $titulo) !== false) {
                        //echo $titulo;
                        $_SESSION['segmento'] = $titulo;
                        //echo $_SESSION['segmento'];
                    }                
                }
            


            // definido só Ribeirão Preto aqui e no content
            //$_SESSION['cidade'] = "Ribeirão Preto";

            /* if ( ! empty($_SESSION['categoria']) ) {
            $title .= ' em ' . $_SESSION['categoria'] ;
            } */
            if ( ! empty($_SESSION['segmento']) ) {
            $title .= ' de ' . $_SESSION['segmento'] ;
            }
            if ( ! empty($_SESSION['cidade']) ) {
            $title .= ' em ' . $_SESSION['cidade'] ;
            } else {
                $title .= ' em Ribeirão Preto';
            }

            
        }  

       
        //get_template_part( 'includes/partials/blog/styles/masonry-material/post-taxonomies' );
        //$title .= ' | Tipo: ' . wp_get_object_terms();

        //get_the_terms( $id, $taxonomy );

        //get_ancestors();
        //get_terms();
        //get_catgory_parents();
        //get_debug_type(variable);
        //$_POST['variable'];


        
        if ( is_singular( 'post' ) && 'post' == get_post_type( $id ) ) {  // it will work only for posts on single page, but you can modify this 
        /* condition para várias categorias
        $categories = get_the_category();
        $cats_string = '';
        if ( ! empty($categories) ) {
            foreach ( $categories as $term ) {
                $cats_string .= $term->name . ' ';
                $categoria_id = get_queried_object_id('$cats_string');
            }
        }
        if ( $cats_string ) {

            $title .= ' em ' . $cats_string . ' ID: '. $categoria_id;
        }
        */
        
            /* if ( ! empty($_SESSION['categoria']) ) {
            $title .= ' em ' . $_SESSION['categoria'] ;
            } */
            if ( ! empty($_SESSION['segmento']) ) {
            $title .= ' de ' . $_SESSION['segmento'] ;
            }
            if ( ! empty($_SESSION['cidade']) ) {
            $title .= ' em ' . $_SESSION['cidade'] ;
            }

        }    

    return $title;
}

add_filter( 'the_title', 'add_categories_to_the_title', 10, 2 );

add_filter('wp_title', 'add_categories_to_the_title', 10, 2);



//////////////////////////////////////////////////////////////////////////////////////////////////////////////////

// inserir conteúdo na descrição dos produtos

add_filter( 'the_content', 'customizing_woocommerce_description' );
function customizing_woocommerce_description( $content ) {

    // Only for single product pages (woocommerce)
    if ( is_product() ) {
        // The custom content
        // $custom_content = '<p class="custom-content">' . __("This is the last line in the description", "woocommerce").'</p>';


        // definido só Ribeirão Preto aqui e no is tax
            //$_SESSION['cidade'] = "Ribeirão Preto";

       
        if ( ! empty($_SESSION['segmento']) ) {
            $custom_content .= ' de ' . $_SESSION['segmento'] ;
        }
        if ( ! empty($_SESSION['cidade']) ) {
            $custom_content .= ' em ' . $_SESSION['cidade'] ;
        } 

        $tittle = get_the_title();
        //echo $tittle;       

        // Inserting the custom content at the end
        $content .= "<br><p> <h2> Mais Informações </h2> </p>";
        $content .= "<p><h3> Porque fazer " .$tittle." ".$custom_content."?</p></h3>";
        $content .= "<p> Se você quer ter sucesso no seu negócio, faça " .$tittle." com um profissional que tenha experiência em ". $tittle." ".$custom_content.".</p><br>";
        $content .= "<p><h3> Qual a importancia de fazer " .$tittle." ".$custom_content."?</p></h3>";
        $content .= "<p> Saia na frente da concorrência, faça " . $tittle." em agência especializada, a internet e as modernas tecnologias digitais podem fazer a diferença para o sucesso do seu negócio. Estamos a disposição para tirar qualquer dúvida sobre ". $tittle." ".$custom_content."</p><br>";
        $content .= "<p><h3> Onde encontrar Agência ou Profissional especializado em " .$tittle." ".$custom_content."?</p></h3>";
        $content .= "<p> A Ribnet é a melhor Agência de Marketing Digital para " .$tittle." ".$custom_content.", é uma empresa com mais de 20 anos de mercado, atende todo Brasil com excelência.</p><br>";
        $content .= "<p><h3> Quanto custa, qual o preço de " . $tittle." ".$custom_content."?</p></h3>";
        $content .= "<p> Como a Agência Ribnet Criação de Sites possui muita experiência em " .$tittle.", conta com uma equipe especializada e utiliza as mais modernas tecnologias, a Agência consegue oferecer os melhores preços e condições para a contratação de ".$tittle." ".$custom_content.".<br> Entre em contato hoje mesmo!</p><br>"; 
        $content .= "<center><h3> <a href='https://ribnet.com.br/contato/'> Solicite um Orçamento de " .$tittle." ".$custom_content."</a></center></h3>";   

    }
    return $content;
}


// forçar o conteúdo acima na descrição quando está vazia

add_filter( 'woocommerce_product_tabs', 'force_description_product_tabs' );
function force_description_product_tabs( $tabs ) {

    $tabs['description'] = array(
        'title'    => __( 'Description', 'woocommerce' ),
        'priority' => 10,
        'callback' => 'woocommerce_product_description_tab',
    );

    return $tabs;
}


// inserir no titulo do produto

// define the woocommerce_page_title callback 
function filter_woocommerce_page_title( $page_title ) { 
    // make filter magic happen here...

    $page_title .= "teste"; 
        
    return $page_title; 
}; 
         
// add the filter 
add_filter( 'woocommerce_page_title', 'filter_woocommerce_page_title', 10, 1 ); 

function permitir_upload_glb($mimes) {
    $mimes['glb'] = 'model/gltf-binary';
    return $mimes;
}
add_filter('upload_mimes', 'permitir_upload_glb');
